package org.gcube.portlet.user.userstatisticsportlet.client.ui;

import com.google.gwt.core.client.GWT;
import com.google.gwt.resources.client.ResourcePrototype;

public class StatisticWidget_StatisticWidgetUiBinderImpl_GenBundle_default_InlineClientBundleGenerator implements org.gcube.portlet.user.userstatisticsportlet.client.ui.StatisticWidget_StatisticWidgetUiBinderImpl_GenBundle {
  private static StatisticWidget_StatisticWidgetUiBinderImpl_GenBundle_default_InlineClientBundleGenerator _instance0 = new StatisticWidget_StatisticWidgetUiBinderImpl_GenBundle_default_InlineClientBundleGenerator();
  private void styleInitializer() {
    style = new org.gcube.portlet.user.userstatisticsportlet.client.ui.StatisticWidget_StatisticWidgetUiBinderImpl_GenCss_style() {
      private boolean injected;
      public boolean ensureInjected() {
        if (!injected) {
          injected = true;
          com.google.gwt.dom.client.StyleInjector.inject(getText());
          return true;
        }
        return false;
      }
      public String getName() {
        return "style";
      }
      public String getText() {
        return com.google.gwt.i18n.client.LocaleInfo.getCurrentLocale().isRTL() ? ((".GBE-UDYCGI{margin-left:" + ("10px")  + ";display:" + ("inline-block")  + ";vertical-align:" + ("top")  + ";}.GBE-UDYCHI{font-family:" + ("\"Lucida Grande\""+ ","+ " " +"Verdana"+ ","+ " " +"\"Bitstream Vera Sans\""+ ","+ " " +"Arial"+ ","+ " " +"sans-serif")  + ";font-size:" + ("12px")  + ";color:" + ("#8899a6")  + ";letter-spacing:" + ("0.02em")  + ";overflow:" + ("hidden")  + ";text-transform:" + ("uppercase")  + ";margin-top:" + ("15px")  + ";margin-bottom:") + (("2px")  + ";text-align:" + ("center")  + ";vertical-align:" + ("text-top")  + ";}")) : ((".GBE-UDYCGI{margin-right:" + ("10px")  + ";display:" + ("inline-block")  + ";vertical-align:" + ("top")  + ";}.GBE-UDYCHI{font-family:" + ("\"Lucida Grande\""+ ","+ " " +"Verdana"+ ","+ " " +"\"Bitstream Vera Sans\""+ ","+ " " +"Arial"+ ","+ " " +"sans-serif")  + ";font-size:" + ("12px")  + ";color:" + ("#8899a6")  + ";letter-spacing:" + ("0.02em")  + ";overflow:" + ("hidden")  + ";text-transform:" + ("uppercase")  + ";margin-top:" + ("15px")  + ";margin-bottom:") + (("2px")  + ";text-align:" + ("center")  + ";vertical-align:" + ("text-top")  + ";}"));
      }
      public java.lang.String statisticContainer() {
        return "GBE-UDYCGI";
      }
      public java.lang.String statisticHeader() {
        return "GBE-UDYCHI";
      }
    }
    ;
  }
  private static class styleInitializer {
    static {
      _instance0.styleInitializer();
    }
    static org.gcube.portlet.user.userstatisticsportlet.client.ui.StatisticWidget_StatisticWidgetUiBinderImpl_GenCss_style get() {
      return style;
    }
  }
  public org.gcube.portlet.user.userstatisticsportlet.client.ui.StatisticWidget_StatisticWidgetUiBinderImpl_GenCss_style style() {
    return styleInitializer.get();
  }
  private static java.util.HashMap<java.lang.String, com.google.gwt.resources.client.ResourcePrototype> resourceMap;
  private static org.gcube.portlet.user.userstatisticsportlet.client.ui.StatisticWidget_StatisticWidgetUiBinderImpl_GenCss_style style;
  
  public ResourcePrototype[] getResources() {
    return new ResourcePrototype[] {
      style(), 
    };
  }
  public ResourcePrototype getResource(String name) {
    if (GWT.isScript()) {
      return getResourceNative(name);
    } else {
      if (resourceMap == null) {
        resourceMap = new java.util.HashMap<java.lang.String, com.google.gwt.resources.client.ResourcePrototype>();
        resourceMap.put("style", style());
      }
      return resourceMap.get(name);
    }
  }
  private native ResourcePrototype getResourceNative(String name) /*-{
    switch (name) {
      case 'style': return this.@org.gcube.portlet.user.userstatisticsportlet.client.ui.StatisticWidget_StatisticWidgetUiBinderImpl_GenBundle::style()();
    }
    return null;
  }-*/;
}
